Reports Get Activity

Deprecated
View as MarkdownOpen in Claude
Retrieves reporting data about a team's user activity. Deprecated: Will be removed on July 1st 2021. **Required scope:** `team_info.read` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Authentication

AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Request

This endpoint expects a nullable object.
end_datedate or nullOptional

Optional ending date (exclusive).

start_datedate or nullOptional

Optional starting date (inclusive). If start_date is None or too long ago, this field will be set to 6 months ago.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
start_datestring

First date present in the results as ‘YYYY-MM-DD’ or None.

active_shared_folders_1_daylist of nullable uint64s
Array of the number of shared folders with some activity in the last day.
active_shared_folders_28_daylist of nullable uint64s
Array of the number of shared folders with some activity in the last 28 days.
active_shared_folders_7_daylist of nullable uint64s
Array of the number of shared folders with some activity in the last week.
active_users_1_daylist of nullable uint64s
Array of the number of users who have been active in the last day.
active_users_28_daylist of nullable uint64s
Array of the number of users who have been active in the last 28 days.
active_users_7_daylist of nullable uint64s
Array of the number of users who have been active in the last week.
addslist of nullable uint64s
Array of total number of adds by team members.
deleteslist of nullable uint64s
Array of total number of deletes by team members.
editslist of nullable uint64s
Array of number of edits by team members. If the same user edits the same file multiple times this is counted as a single edit.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error